zonelist_import.h File Reference
`#include "daemon/engine.h"`
`#include "db/db_connection.h"`

Go to the source code of this file.

## Macros

#define | ZONELIST_IMPORT_OK 0
#define | ZONELIST_IMPORT_ERR_ARGS 1
#define | ZONELIST_IMPORT_ERR_XML 2
#define | ZONELIST_IMPORT_ERR_DATABASE 3
#define | ZONELIST_IMPORT_ERR_MEMORY 4
#define | ZONELIST_IMPORT_NO_CHANGE 5

## Functions

int | zonelist_import (int sockfd, engine_type *engine, db_connection_t *dbconn, int do_delete, const char *zonelist_path)

## Macro Definition Documentation

## ZONELIST_IMPORT_ERR_ARGS

#define ZONELIST_IMPORT_ERR_ARGS 1

Indicates an error with the arguments provided to zonelist_import().

Definition at line 42 of file zonelist_import.h.

## ZONELIST_IMPORT_ERR_DATABASE

#define ZONELIST_IMPORT_ERR_DATABASE 3

Indicates an error with the database like reading, updating or creating.

Definition at line 50 of file zonelist_import.h.

## ZONELIST_IMPORT_ERR_MEMORY

#define ZONELIST_IMPORT_ERR_MEMORY 4

Indicates a memory allocation error or generic internal error.

Definition at line 54 of file zonelist_import.h.

## ZONELIST_IMPORT_ERR_XML

#define ZONELIST_IMPORT_ERR_XML 2

Indicates an error with the zonelist XML like parsing, validating or content.

Definition at line 46 of file zonelist_import.h.

## ZONELIST_IMPORT_NO_CHANGE

#define ZONELIST_IMPORT_NO_CHANGE 5

Indicates that the operation was successful but no changes where made.

Definition at line 58 of file zonelist_import.h.

## ZONELIST_IMPORT_OK

#define ZONELIST_IMPORT_OK 0

Indicates a successful zonelist import.

Definition at line 38 of file zonelist_import.h.

## Function Documentation

## zonelist_import()

int zonelist_import | ( | int | sockfd,
|  | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | int | do_delete,
|  | const char * | zonelist_path
| ) |  |

extern

Definition at line 54 of file zonelist_import.c.

References check_zonelist(), engine_struct::config, hsm_key_factory_release_key_id(), hsm_key_factory_schedule_generate_all(), key_data_delete(), key_data_free(), key_data_hsm_key_id(), key_data_id(), key_data_list_free(), key_data_list_get_next(), key_data_list_new_get_by_zone_id(), key_data_role_text(), key_state_delete(), key_state_free(), key_state_list_free(), key_state_list_get_next(), key_state_list_new_get_by_key_data_id(), key_state_type_text(), engineconfig_struct::manual_keygen, __zonelist_import_zone::name, __zonelist_import_zone::next, __zonelist_import_zone::processed, zone_db_create(), zone_db_create_from_xml(), zone_db_delete(), zone_db_free(), zone_db_get_by_name(), zone_db_id(), zone_db_input_adapter_type(), zone_db_input_adapter_uri(), zone_db_name(), zone_db_new(), zone_db_update(), zone_db_update_from_xml(), zone_list_db_free(), zone_list_db_new_get(), zone_list_db_next(), engineconfig_struct::zonelist_filename, ZONELIST_IMPORT_ERR_ARGS, ZONELIST_IMPORT_ERR_DATABASE, ZONELIST_IMPORT_ERR_MEMORY, ZONELIST_IMPORT_ERR_XML, ZONELIST_IMPORT_NO_CHANGE, and ZONELIST_IMPORT_OK.